fcf.module({
  name: "fcf:NRender/Template.js",
  dependencies: [],
  module: function() {
    var NRender = fcf.prepareObject(fcf, "NRender");

    NRender.Template = function(a_options) {
      this.content = fcf.empty(a_options.content) ? "" : a_options.content;
      this.id      = a_options.id;
      this.args    = a_options.args;
      this.state   = a_options.state;
    }

    return NRender.Template;
  }
});
